// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/adimges.jpg',
    src1: '/image/head1.png',
    frameStyle: { useTop: false, name: '团队详情', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    //团队详情
    list: [
      //队员列表
      { members: [], }
    ],
    type: '',
    ids: '',
    id1: ''
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  //删除队员-退出团队
  delList: function (e) {
    var that = this;
    var type = that.data.type;
    var members = that.data.list.members;
    var list = that.data.list;
    var ids = that.data.list.id;
    var id1 = that.data.id1;
    if (type == 1) {
      wx.showModal({
        title: '是否删除该名队员',
        success(res) {
          if (res.confirm) {
            let id = e.currentTarget.dataset.id;
            for (var i = 0; i < members.length; i++) {
              if (members[i].id == id) {
                members.splice(i, 1)
              }
            }
            that.setData({ ['list.members']: members })
            wx.request({
              url: `${app.globalData.publicUrl}/courtAdmin/api/team/${ids}`,
              method: "post",
              data: list,
              header: {},
              success: res => {
              },
            })
          } else if (res.cancel) { }
        }
      })
    } else if (type == 2) {
      wx.showModal({
        title: '是否退出团队',
        success(res) {
          if (res.confirm) {
            wx.request({
              url: `${app.globalData.publicUrl}/courtAdmin/api/team/leaves`,
              method: "get",
              data: { user_id: id1, team_id: ids },
              header: {},
              success: res => {
                return wx.redirectTo({ url: '/pages/me/index' })
              },
              error: err => {
              }
            })

          } else if (res.cancel) {
          }
        }
      })
    }

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    this.setData({ ids: options.id })
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    let id = that.data.ids
    wx.getStorage({
      key: 'token',
      success: res => {
        that.setData({ type: res.data.type })
        that.setData({ id1: res.data.id })
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team/` + id,
          method: 'get',
          data: '',
          success(res) {
            that.setData({ list: res.data.data });
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})